Home

# Class goog.ui.TriStateMenuItemRenderer

Default renderer for {@link goog.ui.TriStateMenuItemRenderer}s. Each item has the following structure:

...(content)...
extends goog.ui.MenuItemRenderer

Instance Method Summary
| `decorate(?goog.ui.MenuItem item, ?Element element) ⇒ ?Element` Overrides {@link goog.ui.ControlRenderer#decorate} by initializing the menu item to checkable based on whether the element to be decorated has extra styling indicating that it should be.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to menu items rendered using this renderer.